<?php

	require_once "majesticseo-external-rpc/APIService.php";

	$endpoint = "https://api.majestic.com/api/xml"; // if this is changed to the developer test sandbox then only really tiny data from a very small number of sites will be available.
	$private_key = "PRIVATE_KEY"; // insert your private key here, your user supplies their Access Token via the form.

	$accessToken = "";
	$domainUrl = "";

	if ( isset ($_POST['accessToken']) )
	{
		$accessToken = $_POST['accessToken'];
	}

	if ( isset ( $_POST['domainUrl'] ) )
	{
		$domainUrl = $_POST['domainUrl'];
	}

?>
<html>
<head>
	<title>Majestic OpenApp Example Tool - Results</title>
	<link href="/styles.css" rel="stylesheet" type="text/css">
</head>
<body>

	<div class="content">
	<h1>Majestic OpenApp Example Tool - Results</h1>
	
	<?php include "searchbar.php"; ?>

<?php
	// and set parameters - these vary according to call and the documentation at developer-support.majestic.com should be referred to.

	// need to get form value for the application app key

	$parameters = array();	
	$parameters["item0"] = $domainUrl; // form parameter
	$parameters["items"] = "1"; // we only do one query

	$parameters["datasource"] = "fresh"; // can be historic to query historic database

	$api_service = new APIService($private_key, $endpoint);
	$response = $api_service->executeOpenAppRequest("GetIndexItemInfo", $parameters, $accessToken);

	if($response->isOK()) 
	{
		$results = $response->getTableForName('Results');

		$rowData = $results -> getTableRows();
		
		if ( count($rowData) == 0 )
		{
			echo "<table class=\"resultsTable\">\n";
			echo "<tr><td>Sorry, no results returned.</td></tr>";
			echo "</table>\n";
			
		}
		elseif ( $rowData[0]["Status"] == "MayExist" )
		{
			echo "<table class=\"resultsTable\">\n";
			echo "<tr><td>Sorry, Unable to find results for this Query. Data may be available in Majestic Site Explorer for logged in users.</td></tr>";
			echo "</table>\n";		
		}
		else
		{
			foreach($rowData as $row)
			{
				$item = $row['Item'];

				echo "<h2>".htmlentities($item)."</h2>";
				echo "<table class=\"resultsTable\">\n";


				$keys = array_keys($row);
				sort($keys);

				foreach($keys as $key)
				{
					echo "<tr>";

					if($key != "Item")
					{
						$value = $row[$key];
						echo "<td>".htmlentities($key)."</td><td>".htmlentities($value)."</td>";
					}

					echo "</tr>";

				}
				
				echo "</table>\n";		
			}
		}
	}
	else
	{
		if ( $response->getCode() == "FailedAuth" )
		{
			include "errors/failedAuth.php";
		}
		else if ( $response->getCode() == "AccessTokenRevoked" )
		{
			include "errors/accessTokenRevoked.php";
		}
		else if ( $response->getCode() == "ApplicationRemoved" )
		{
			include "errors/accessTokenRevoked.php";		
		}
		else if ( $response->getCode() == "PrivateKeyDisabled" )
		{
			include "errors/privateKeyDisabled.php";
		}
		else if ( $response->getCode() == "NoSubscription" )
		{
			include "errors/noSubscription.php";
		}
		else
		{
			include "errors/default.php";
		}

	}
?>

</div>

</body>
</html>
